JmsNamespaceHandler (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.jms.config.JmsNamespaceHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.jms.config
Class JmsNamespaceHandler

    java.lang.Object
      org.springframework.beans.factory.xml.NamespaceHandlerSupport
          org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
              org.mule.transport.jms.config.JmsNamespaceHandler

All Implemented Interfaces:
  org.springframework.beans.factory.xml.NamespaceHandler

    public class JmsNamespaceHandler

extends AbstractMuleNamespaceHandler

Registers Bean Definition Parsers for the "jms" namespace.

Field Summary
`static String[][]` | `JMS_ATTRIBUTES`
`static String` | `NUMBER_OF_CONCURRENT_TRANSACTED_RECEIVERS_ATTRIBUTE`
`static String` | `NUMBER_OF_CONSUMERS_ATTRIBUTE`
`static String` | `NUMBER_OF_CONSUMERS_PROPERTY`
`static String` | `QUEUE`
`static String` | `TOPIC`

Fields inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`GLOBAL_ENDPOINT, INBOUND_ENDPOINT, OUTBOUND_ENDPOINT`

Constructor Summary
`JmsNamespaceHandler()`

Method Summary
`void` | `init()`
`protected void` | `registerJmsEndpointDefinitionParser(String element, MuleDefinitionParser parser)`
`protected void` | `registerJmsTransportEndpoints()` Need to use the most complex constructors as have mutually exclusive address aattributes

Methods inherited from class org.mule.config.spring.handlers.AbstractMuleNamespaceHandler
`getGlobalEndpointBuilderBeanClass, getInboundEndpointFactoryBeanClass, getOutboundEndpointFactoryBeanClass, registerConnectorDefinitionParser, registerConnectorDefinitionParser, registerIgnoredElement, registerMetaTransportEndpoints, registerMuleBeanDefinitionParser, registerStandardTransportEndpoints`

Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport
`decorate, findDecoratorForNode, findParserForElement, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### QUEUE

    public static final String QUEUE

See Also:
  Constant Field Values

### TOPIC

    public static final String TOPIC

See Also:
  Constant Field Values

### NUMBER_OF_CONSUMERS_ATTRIBUTE

    public static final String NUMBER_OF_CONSUMERS_ATTRIBUTE

See Also:
  Constant Field Values

### NUMBER_OF_CONCURRENT_TRANSACTED_RECEIVERS_ATTRIBUTE

    public static final String NUMBER_OF_CONCURRENT_TRANSACTED_RECEIVERS_ATTRIBUTE

See Also:
  Constant Field Values

### NUMBER_OF_CONSUMERS_PROPERTY

    public static final String NUMBER_OF_CONSUMERS_PROPERTY

See Also:
  Constant Field Values

### JMS_ATTRIBUTES

    public static final String[][] JMS_ATTRIBUTES

Constructor Detail

### JmsNamespaceHandler

    public JmsNamespaceHandler()

Method Detail

### init

    public void init()

### registerJmsTransportEndpoints

    protected void registerJmsTransportEndpoints()

  Need to use the most complex constructors as have mutually exclusive address aattributes

### registerJmsEndpointDefinitionParser

    protected void registerJmsEndpointDefinitionParser(String element,
                                                       MuleDefinitionParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.